Deposits

Get on-chain deposits

GET/account/deposits/on-chainPrivate

Get on-chain deposits

Permissions: account:deposits:read

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-09-12T10:28:28.264Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?string

Cursor for pagination

Formatdate-time
status?string

Filter by status

Value in"MEMPOOL""CONFIRMED""IRREVERSIBLE""under_review""not_credited""on_hold"

Response Body

OK

application/json
  1. response
data*array<|||||>
nextCursor*|

Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.account.getOnChainDeposits({  from: '1970-01-01T00:00:00.000Z',  to: '2026-09-12T10:28:26.634Z',  limit: 500,  status: 'MEMPOOL'})
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "amount": 0,      "txId": "string",      "status": "MEMPOOL",      "blockHeight": null,      "confirmations": 0,      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "2024-01-15T10:30:00.000Z"}